iPhone / iPad jailbreaké : attention à iOS 4.3.4 !

C’est hier dans la soirée qu’Apple a déployé une nouvelle mise à jour pour iOS : la 4.3.4. Contrairement à ce que l’on pourrait penser, cette dernière ne propose aucune nouveauté particulière et se contente finalement de corriger la faille utilisée par JailbreakMe, faille qui porte sur le lecteur PDF embarqué dans Safari Mobile. Alors évidemment, si vous êtes du genre à la jouer réglo et si votre iDevice n’est pas jailbreakée, cette mise à jour ne pose aucun problème. En revanche, si vous ne pouvez vivre sans Cydia, il vaudra mieux éviter de l’installer sur votre iPod Touch, iPhone ou iPad. Vous ne pourrez pas dire que vous n’étiez pas prévenu !

iPhone / iPad jailbreaké : attention à iOS 4.3.4 !

Et le plus ironique, dans cette histoire, c’est que cette faille peut également être corrigée sur une iDevice jailbreakée. En réalité, il suffit pour se faire de lancer Cydia et d’installer un outil dédié à cet usage, à savoir PDF Patcher 2. Une fois installé, ce dernier viendra combler la vilaine faille exploitée par JailbreakMe sans pour autant vous empêcher de profiter de tous les avantages conférés par l’installation de Cydia. Une fois de plus, donc, les bidouilleurs sont en avance sur la firme de Cupertino et cela fait quand même plaisir à voir.

Rappelons tout de même que si la faille du lecteur PDF intégré à Safari Mobile a grandement facilité la vie des bidouilleurs, n’importe quel autre site peut également l’exploiter. Ce qui veut dire que si vous vous rendez malencontreusement sur un site malveillant, ce dernier pourra parfaitement compromettre la sécurité de votre iDevice. Dans tous les cas, et même si vous ne souhaitez pas mettre à jour votre iPhone, iPod Touch ou iPad en iOS 4.3.4, il vaudra mieux installer PDF Patcher 2 histoire de limiter les risques.

En revanche, on pourra noter que ce dernier n’a pas daigné s’installer sur mon iPad fraichement jailbreaké. Il m’indique ainsi le message d’erreur suivant : “I wasn’t able to locate file for the pdfpatch2 package. This might mean you need to manually fix this package”. Pourquoi ? Et bien je n’en sais rien alors on va dire que c’est la grande question du jour… Cela dit, si vous avez la réponse, les amis, je suis preneur, hein, parce que j’aimerais bien me coucher un peu moins bête ce soir… Donc les commentaires sont là pour ça.

Note : Ah, en fait je suis parvenu à régler le problème en relançant Cydia et en tentant le coup de nouveau. Si ça vous arrive chez vous, vous savez désormais quoi faire pour pallier ce problème.

Mots-clés appleiosjailbreak